using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    public class ShopViewModel
    {
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpen { get; set; } = DateTime.Now;

        public Dictionary<int, (IManufactureModel, int)> ShopManufactures { get; set; } = new();

        [DisplayName("Вместимость магазина")]
        public int MaxCountManufactures { get; set; }

        public List<Tuple<ManufactureViewModel, int>> ShopManufactureList { get; set; } = new();
    }
}
